Debian Bug report logs - #620059
nfs-kernel: Starting NFS kernel daemon: nfsd mountd failed!

version graph

Package: nfs-common; Maintainer for nfs-common is Debian kernel team <debian-kernel@lists.debian.org>; Source for nfs-common is src:nfs-utils.

Reported by: Nigel Horne <njh@bandsman.co.uk>

Date: Tue, 29 Mar 2011 15:03:04 UTC

Severity: grave

Merged with 620088, 621471, 621707, 621723

Found in version nfs-utils/1:1.2.3-1

Fixed in version nfs-utils/1:1.2.3-2

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#620059; Package nfs-kernel-server. (Tue, 29 Mar 2011 15:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nigel Horne <njh@bandsman.co.uk>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 29 Mar 2011 15:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nigel Horne <njh@bandsman.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nfs-kernel: Starting NFS kernel daemon: nfsd mountd failed!
Date: Tue, 29 Mar 2011 15:48:41 +0100
Package: nfs-kernel-server
Version: 1:1.2.3-1
Severity: important
File: nfs-kernel

The daemon doesn't start:

sh-4.1# ps -ef | fgrep nfs
root      1158     2  0 Mar26 ?        00:00:00 [nfsiod]
root     24750 18549  0 15:43 pts/5    00:00:00 fgrep nfs
sh-4.1# ./S20nfs-kernel-server start
Exporting directories for NFS kernel daemon....
Starting NFS kernel daemon: nfsd mountd failed!
sh-4.1# ./S20nfs-kernel-server status
nfsd running
sh-4.1# cat /etc/exports
/	192.168.1.0/255.255.255.0(rw,no_root_squash,no_subtree_check)
/home	192.168.1.0/255.255.255.0(rw,no_root_squash,no_subtree_check)
/var	192.168.1.0/255.255.255.0(rw,no_root_squash,no_subtree_check)


-- Package-specific info:
-- rpcinfo --
   program vers proto   port
    100000    2   tcp    111  portmapper
    100000    2   udp    111  portmapper
    100003    2   udp   2049  nfs
    100003    3   udp   2049  nfs
    100003    4   udp   2049  nfs
    100227    2   udp   2049
    100227    3   udp   2049
    100003    2   tcp   2049  nfs
    100003    3   tcp   2049  nfs
    100003    4   tcp   2049  nfs
    100227    2   tcp   2049
    100227    3   tcp   2049
    100021    1   udp  41979  nlockmgr
    100021    3   udp  41979  nlockmgr
    100021    4   udp  41979  nlockmgr
    100021    1   tcp  42877  nlockmgr
    100021    3   tcp  42877  nlockmgr
    100021    4   tcp  42877  nlockmgr
-- /etc/default/nfs-kernel-server --
RPCNFSDCOUNT=8
RPCNFSDPRIORITY=0
RPCMOUNTDOPTS=--manage-gids
NEED_SVCGSSD=
RPCSVCGSSDOPTS=
-- /etc/exports --
/	192.168.1.0/255.255.255.0(rw,no_root_squash,no_subtree_check)
/home	192.168.1.0/255.255.255.0(rw,no_root_squash,no_subtree_check)
/var	192.168.1.0/255.255.255.0(rw,no_root_squash,no_subtree_check)
-- /proc/fs/nfs/exports --
# Version 1.1
# Path Client(Flags) # IPs

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages nfs-kernel-server depends on:
ii  libblkid1                    2.17.2-9.1  block device id library
ii  libc6                        2.11.2-11   Embedded GNU C Library: Shared lib
ii  libcomerr2                   1.41.12-2   common error description library
ii  libgssapi-krb5-2             1.9+dfsg-1  MIT Kerberos runtime libraries - k
ii  libgssglue1                  0.2-1       mechanism-switch gssapi library
ii  libk5crypto3                 1.9+dfsg-1  MIT Kerberos runtime libraries - C
ii  libkrb5-3                    1.9+dfsg-1  MIT Kerberos runtime libraries
ii  libnfsidmap2                 0.24-1      An nfs idmapping library
ii  libtirpc1                    0.2.1-1     transport-independent RPC library
ii  libwrap0                     7.6.q-19    Wietse Venema's TCP wrappers libra
ii  lsb-base                     3.2-27      Linux Standard Base 3.2 init scrip
ii  nfs-common                   1:1.2.3-1   NFS support files common to client
ii  ucf                          3.0025+nmu1 Update Configuration File: preserv

nfs-kernel-server recommends no packages.

nfs-kernel-server suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#620059; Package nfs-kernel-server. (Tue, 29 Mar 2011 18:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tony Houghton <h@realh.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Tue, 29 Mar 2011 18:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 620059@bugs.debian.org (full text, mbox):

From: Tony Houghton <h@realh.co.uk>
To: Debian Bug Tracking System <620059@bugs.debian.org>
Subject: Re:
Date: Tue, 29 Mar 2011 19:21:21 +0100
Package: nfs-kernel-server
Version: 1:1.2.3-1
Followup-For: Bug #620059


I've got the same problem on two servers I dist-upgraded today.


-- Package-specific info:
-- rpcinfo --
   program vers proto   port
    100000    2   tcp    111  portmapper
    100000    2   udp    111  portmapper
    100003    2   udp   2049  nfs
    100003    3   udp   2049  nfs
    100003    4   udp   2049  nfs
    100227    2   udp   2049
    100227    3   udp   2049
    100003    2   tcp   2049  nfs
    100003    3   tcp   2049  nfs
    100003    4   tcp   2049  nfs
    100227    2   tcp   2049
    100227    3   tcp   2049
    100021    1   udp  51851  nlockmgr
    100021    3   udp  51851  nlockmgr
    100021    4   udp  51851  nlockmgr
    100021    1   tcp  48488  nlockmgr
    100021    3   tcp  48488  nlockmgr
    100021    4   tcp  48488  nlockmgr
-- /etc/default/nfs-kernel-server --
RPCNFSDCOUNT=8
RPCNFSDPRIORITY=0
RPCMOUNTDOPTS=--manage-gids
NEED_SVCGSSD=
RPCSVCGSSDOPTS=
-- /etc/exports --
/mnt/xfs 192.168.0.0/16(rw,sync,subtree_check)
/home/tony 192.168.0.0/16(rw,sync,no_subtree_check)
-- /proc/fs/nfs/exports --
# Version 1.1
# Path Client(Flags) # IPs

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages nfs-kernel-server depends on:
ii  libblkid1                    2.17.2-9.1  block device id library
ii  libc6                        2.11.2-13   Embedded GNU C Library: Shared lib
ii  libcomerr2                   1.41.12-2   common error description library
ii  libgssapi-krb5-2             1.9+dfsg-1  MIT Kerberos runtime libraries - k
ii  libgssglue1                  0.2-1       mechanism-switch gssapi library
ii  libk5crypto3                 1.9+dfsg-1  MIT Kerberos runtime libraries - C
ii  libkrb5-3                    1.9+dfsg-1  MIT Kerberos runtime libraries
ii  libnfsidmap2                 0.24-1      An nfs idmapping library
ii  libtirpc1                    0.2.1-1     transport-independent RPC library
ii  libwrap0                     7.6.q-19    Wietse Venema's TCP wrappers libra
ii  lsb-base                     3.2-27      Linux Standard Base 3.2 init scrip
ii  nfs-common                   1:1.2.3-1   NFS support files common to client
ii  ucf                          3.0025+nmu1 Update Configuration File: preserv

nfs-kernel-server recommends no packages.

nfs-kernel-server suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#620059; Package nfs-kernel-server. (Wed, 30 Mar 2011 02:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Miller <rcm0502@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 30 Mar 2011 02:45:07 GMT) Full text and rfc822 format available.

Message #15 received at 620059@bugs.debian.org (full text, mbox):

From: Robert Miller <rcm0502@gmail.com>
To: 620059@bugs.debian.org
Subject: nfs-kernel: Starting NFS kernel daemon: nfsd mountd failed!
Date: Tue, 29 Mar 2011 22:43:11 -0400
[Message part 1 (text/plain, inline)]
Package: nfs-kernel-server
Version: 1:1.2.3-1
Followup-For: Bug #620059

Also I have experienced this issue as well. the NFS daemon doesn't
start for me either

$ sudo service nfs-kernel-server start

[sudo] password for rmiller:
Exporting directories for NFS kernel daemon....
Starting NFS kernel daemon: nfsd mountd failed!

Been seeing these messages in dmesg:

svc: failed to register nfsdv2 RPC service (errno 97).

svc: failed to register nfsaclv2 RPC service (errno 97).
nfsd: last server has exited, flushing export cache
svc: failed to register lockdv1 RPC service (errno 97).
NFSD: Using /var/lib/nfs/v4recovery as the NFSv4 state recovery directory

NFSD: starting 90-second grace period

Exports file:

~$ cat /etc/exports
# /etc/exports: the access control list for filesystems which may be exported
#               to NFS clients.  See exports(5).

#
# Example for NFSv2 and NFSv3:
# /srv/homes       hostname1(rw,sync,no_subtree_check)
hostname2(ro,sync,no_subtree_check)
#
# Example for NFSv4:
# /srv/nfs4        gss/krb5i(rw,sync,fsid=0,crossmnt,no_subtree_check)

# /srv/nfs4/homes  gss/krb5i(rw,sync,no_subtree_check)
#
/home/rmiller/nfs4srv
192.168.1.0/24(ro,sync,insecure,root_squash,no_subtree_check,fsid=0)


~$ rpcinfo -p
   program vers proto   port
    100000    2   tcp    111  portmapper
    100000    2   udp    111  portmapper
    100003    2   udp   2049  nfs
    100003    3   udp   2049  nfs
    100003    4   udp   2049  nfs

    100227    2   udp   2049
    100227    3   udp   2049
    100003    2   tcp   2049  nfs
    100003    3   tcp   2049  nfs
    100003    4   tcp   2049  nfs
    100227    2   tcp   2049
    100227    3   tcp   2049

    100021    1   udp  38870  nlockmgr
    100021    3   udp  38870  nlockmgr
    100021    4   udp  38870  nlockmgr
    100021    1   tcp  59302  nlockmgr
    100021    3   tcp  59302  nlockmgr
    100021    4   tcp  59302  nlockmgr

~$ uname -a
Linux rmdata 2.6.38-1.dmz.1-liquorix-686 #1 ZEN SMP PREEMPT Fri Mar 25
00:57:00 UTC 2011 i686 GNU/Linux

What else can I do to help debug this?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#620059; Package nfs-kernel-server. (Wed, 30 Mar 2011 15:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 30 Mar 2011 15:51:06 GMT) Full text and rfc822 format available.

Message #20 received at 620059@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@debian.org>
To: 620059@bugs.debian.org
Cc: 620059-submitter@bugs.debian.org, Tony Houghton <h@realh.co.uk>, Robert Miller <rcm0502@gmail.com>
Subject: #620059: nfs-kernel: Starting NFS kernel daemon: nfsd mountd failed!
Date: Wed, 30 Mar 2011 17:42:10 +0200
Hi,

replacing portmap with rpcbind worked for me, since portmap doesn't
support IPv6 currently (see #563545).

Thanks for reporting.

bye,
  Roland




Message sent on to Nigel Horne <njh@bandsman.co.uk>:
Bug#620059. (Wed, 30 Mar 2011 15:51:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#620059; Package nfs-kernel-server. (Wed, 30 Mar 2011 22:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pablo Aguiar <pablo.aguiar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Wed, 30 Mar 2011 22:18:06 GMT) Full text and rfc822 format available.

Message #28 received at 620059@bugs.debian.org (full text, mbox):

From: Pablo Aguiar <pablo.aguiar@gmail.com>
To: 620059@bugs.debian.org
Cc: Roland Stigge <stigge@debian.org>
Subject: #620059: nfs-kernel: Starting NFS kernel daemon: nfsd mountd failed!
Date: Wed, 30 Mar 2011 19:16:44 -0300
[Message part 1 (text/plain, inline)]
Hi,

I confirm, replacing portmap with rpcbind worked for me too.

Thanks Rolland.

Regards,
-- 
Pablo S. Blum de Aguiar <pablo.aguiar@gmail.com>
Free/Open Source Software Developer/Consultant
FOSS Infrastructure Specialist
<http://www.phpeclipse.com/wiki/Community>

 <http://www.bookdepository.co.uk?a_aid=063afa&a_bid=1d4f390e?chan=pag>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#620059; Package nfs-kernel-server. (Thu, 31 Mar 2011 00:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Miller <rcm0502@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Thu, 31 Mar 2011 00:48:03 GMT) Full text and rfc822 format available.

Message #33 received at 620059@bugs.debian.org (full text, mbox):

From: Robert Miller <rcm0502@gmail.com>
To: 620059@bugs.debian.org
Subject: #620059: nfs-kernel: Starting NFS kernel daemon: nfsd mountd failed!
Date: Wed, 30 Mar 2011 20:45:31 -0400
[Message part 1 (text/plain, inline)]
Hi All:

Replacing portmap with rpcbind fixes the problem for me as well...confirmed.
It is hoped that portmap will eventually be fixed to support IPv6 as well as
rpcbind I'm not sure how complete it is but for now this is a good
workaround until portmap is updated.

Cheers

Rob
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#620059; Package nfs-kernel-server. (Fri, 01 Apr 2011 18:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nigel Horne <njh@bandsman.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Fri, 01 Apr 2011 18:39:06 GMT) Full text and rfc822 format available.

Message #38 received at 620059@bugs.debian.org (full text, mbox):

From: Nigel Horne <njh@bandsman.co.uk>
To: 620059@bugs.debian.org
Subject: Re: Bug#620059: Acknowledgement (nfs-kernel: Starting NFS kernel daemon: nfsd mountd failed!)
Date: Fri, 1 Apr 2011 14:26:08 -0400
[Message part 1 (text/plain, inline)]
Getting nowhere on this.  I tried uninstalling and re-installing but got this.

sh-4.1# apt-get install nfs-kernel-server
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following NEW packages will be installed:
  nfs-kernel-server
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 153 kB of archives.
After this operation, 406 kB of additional disk space will be used.
Get:1 http://http.us.debian.org/debian/ unstable/main nfs-kernel-server i386 1:1.2.3-1 [153 kB]
Fetched 153 kB in 1s (105 kB/s)             
Selecting previously deselected package nfs-kernel-server.
(Reading database ... 111892 files and directories currently installed.)
Unpacking nfs-kernel-server (from .../nfs-kernel-server_1%3a1.2.3-1_i386.deb) ...
Processing triggers for readahead-fedora ...
Processing triggers for readahead ...
Processing triggers for man-db ...
Setting up nfs-kernel-server (1:1.2.3-1) ...

Creating config file /etc/exports with new version

Creating config file /etc/default/nfs-kernel-server with new version
insserv: warning: script 'K02breakinguard' missing LSB tags and overrides
insserv: warning: script 'breakinguard' missing LSB tags and overrides
Starting NFS common utilities: statd failed!
invoke-rc.d: initscript nfs-common, action "start" failed.
dpkg: error processing nfs-kernel-server (--configure):
 subprocess installed post-installation script returned error exit status 1
configured to not write apport reports
                                      Errors were encountered while processing:
 nfs-kernel-server
localepurge: Disk space freed in /usr/share/locale: 0 KiB
localepurge: Disk space freed in /usr/share/man: 0 KiB
localepurge: Disk space freed in /usr/share/omf: 0 KiB

Total disk space freed by localepurge: 0 KiB

E: Sub-process /usr/bin/dpkg returned an error code (1)
sh-4.1# dpkg-reconfigure nfs-kernel-server
/usr/sbin/dpkg-reconfigure: nfs-kernel-server is broken or not fully installed
sh-4.1# 

[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#620059; Package nfs-kernel-server. (Fri, 01 Apr 2011 18:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nigel Horne <njh@bandsman.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Fri, 01 Apr 2011 18:45:06 GMT) Full text and rfc822 format available.

Message #43 received at 620059@bugs.debian.org (full text, mbox):

From: Nigel Horne <njh@bandsman.co.uk>
To: 620059@bugs.debian.org
Subject: Re: Bug#620059: Acknowledgement (nfs-kernel: Starting NFS kernel daemon: nfsd mountd failed!)
Date: Fri, 1 Apr 2011 14:43:06 -0400
[Message part 1 (text/plain, inline)]
Replacing portmap with rpcbind also worked for me.  Thanks for the tip.

-Nigel
[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#620059; Package nfs-kernel-server. (Thu, 07 Apr 2011 22:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Thackray <jgt@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Thu, 07 Apr 2011 22:27:05 GMT) Full text and rfc822 format available.

Message #48 received at 620059@bugs.debian.org (full text, mbox):

From: Jon Thackray <jgt@pobox.com>
To: Debian Bug Tracking System <620059@bugs.debian.org>
Subject: nfs-kernel-server: This happens to me following uprade in the last week. What can I wind back to get round it?
Date: Thu, 07 Apr 2011 23:03:06 +0100
Package: nfs-kernel-server
Version: 1:1.2.3-1
Followup-For: Bug #620059

The fault shows up during boot. It appears to be mountd that fails.
The modified script is because I added -d all to the rpc.mount options
in an attempt to find out what was going wrong. It didn't help.

rpcinfo -p shows this, no mountd.
   program vers proto   port
    100000    2   tcp    111  portmapper
    100000    2   udp    111  portmapper
    100021    1   udp  48510  nlockmgr
    100021    3   udp  48510  nlockmgr
    100021    4   udp  48510  nlockmgr
    100021    1   tcp  34536  nlockmgr
    100021    3   tcp  34536  nlockmgr
    100021    4   tcp  34536  nlockmgr
    100003    2   tcp   2049  nfs
    100003    3   tcp   2049  nfs
    100003    4   tcp   2049  nfs
    100003    2   udp   2049  nfs
    100003    3   udp   2049  nfs
    100003    4   udp   2049  nfs
    391002    2   tcp    638  sgi_fam

-- Package-specific info:
-- rpcinfo --
   program vers proto   port
    100000    2   tcp    111  portmapper
    100000    2   udp    111  portmapper
    100021    1   udp  48510  nlockmgr
    100021    3   udp  48510  nlockmgr
    100021    4   udp  48510  nlockmgr
    100021    1   tcp  34536  nlockmgr
    100021    3   tcp  34536  nlockmgr
    100021    4   tcp  34536  nlockmgr
    100003    2   tcp   2049  nfs
    100003    3   tcp   2049  nfs
    100003    4   tcp   2049  nfs
    100003    2   udp   2049  nfs
    100003    3   udp   2049  nfs
    100003    4   udp   2049  nfs
    391002    2   tcp    638  sgi_fam
-- /etc/default/nfs-kernel-server --
RPCNFSDCOUNT=8
RPCNFSDPRIORITY=0
RPCMOUNTDOPTS=--manage-gids
NEED_SVCGSSD=
RPCSVCGSSDOPTS=
-- /etc/exports --
/home     burnside(rw,sync,no_subtree_check) schur(rw,sync,no_subtree_check) abel(rw,sync,no_subtree_check) wedderburn(rw,sync,no_subtree_check) brauer(rw,sync,no_subtree_check) lagrange(rw,sync,no_subtree_check) iv1(rw,sync,no_subtree_check) sylow(rw,sync,no_subtree_check) eeepc(rw,sync,no_subtree_check)
/disk1     burnside(rw,sync,no_subtree_check) schur(rw,sync,no_subtree_check) abel(rw,sync,no_subtree_check) wedderburn(rw,sync,no_subtree_check) brauer(rw,sync,no_subtree_check) lagrange(rw,sync,no_subtree_check) iv1(rw,sync,no_subtree_check) sylow(rw,sync,no_subtree_check)
/disk2     burnside(rw,sync,no_subtree_check) schur(rw,sync,no_subtree_check) abel(rw,sync,no_subtree_check) wedderburn(rw,sync,no_subtree_check) brauer(rw,sync,no_subtree_check) lagrange(rw,sync,no_subtree_check) iv1(rw,sync,no_subtree_check) sylow(rw,sync,no_subtree_check)
/disk3     burnside(rw,sync,no_subtree_check) schur(rw,sync,no_subtree_check) abel(rw,sync,no_subtree_check) wedderburn(rw,sync,no_subtree_check) brauer(rw,sync,no_subtree_check) lagrange(rw,sync,no_subtree_check) iv1(rw,sync,no_subtree_check) sylow(rw,sync,no_subtree_check)
-- /proc/fs/nfs/exports --
# Version 1.1
# Path Client(Flags) # IPs

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages nfs-kernel-server depends on:
ii  libblkid1                    2.17.2-9.1  block device id library
ii  libc6                        2.11.2-11   Embedded GNU C Library: Shared lib
ii  libcomerr2                   1.41.12-2   common error description library
ii  libgssapi-krb5-2             1.9+dfsg-1  MIT Kerberos runtime libraries - k
ii  libgssglue1                  0.1-4       mechanism-switch gssapi library
ii  libk5crypto3                 1.9+dfsg-1  MIT Kerberos runtime libraries - C
ii  libkrb5-3                    1.9+dfsg-1  MIT Kerberos runtime libraries
ii  libnfsidmap2                 0.24-1      An nfs idmapping library
ii  libtirpc1                    0.2.1-1     transport-independent RPC library
ii  libwrap0                     7.6.q-19    Wietse Venema's TCP wrappers libra
ii  lsb-base                     3.2-27      Linux Standard Base 3.2 init scrip
ii  nfs-common                   1:1.2.3-1   NFS support files common to client
ii  ucf                          3.0025+nmu1 Update Configuration File: preserv

nfs-kernel-server recommends no packages.

nfs-kernel-server suggests no packages.

-- Configuration Files:
/etc/init.d/nfs-kernel-server changed:
DESC="NFS kernel daemon"
PREFIX=/usr
[ -x $PREFIX/sbin/rpc.nfsd    ] || exit 0
[ -x $PREFIX/sbin/rpc.mountd  ] || exit 0
[ -x $PREFIX/sbin/exportfs    ] || exit 0
DEFAULTFILE=/etc/default/nfs-kernel-server
RPCNFSDCOUNT=8
RPCNFSDPRIORITY=0
RPCMOUNTDOPTS=
NEED_SVCGSSD=no
RPCSVCGSSDOPTS=
PROCNFSD_MOUNTPOINT=/proc/fs/nfsd
if [ -f $DEFAULTFILE ]; then
    . $DEFAULTFILE
fi
. /lib/lsb/init-functions
do_modprobe() {
    if [ -x /sbin/modprobe -a -f /proc/modules ]
    then
        modprobe -q "$1" || true
    fi
}
do_mount() {
    if ! grep -E -qs "$1\$" /proc/filesystems
    then
	return 1
    fi
    if ! mountpoint -q "$2"
    then
	mount -t "$1" "$1" "$2"
	return
    fi
    return 0
}
case "$1" in
  start)
	if [ -f /etc/exports ]
	then
		do_modprobe nfsd
		# See if our running kernel supports the NFS kernel server
		if ! grep -E -qs "[[:space:]]nfsd\$" /proc/filesystems; then
			log_warning_msg "Not starting $DESC: no support in current kernel."
			exit 0
		fi
		
		do_mount nfsd $PROCNFSD_MOUNTPOINT || NEED_SVCGSSD=no
		log_begin_msg "Exporting directories for $DESC..."
		$PREFIX/sbin/exportfs -r
		RET=$?
		if [ $RET != 0 ]; then
			log_end_msg $RET
			exit $RET
		fi
		log_end_msg 0
		log_daemon_msg "Starting $DESC"
		log_progress_msg "nfsd"
		
		# See if portmap or rpcbind are running
		(cat </dev/null >/dev/tcp/localhost/111) 2>/dev/null
		RET=$?
		if [ $RET != 0 ]; then
		    echo
		    log_warning_msg "Not starting: portmap daemon is not running"
		    exit 0
		fi
		start-stop-daemon --start --oknodo --quiet \
		    --nicelevel $RPCNFSDPRIORITY \
		    --exec $PREFIX/sbin/rpc.nfsd -- $RPCNFSDCOUNT
		RET=$?
		if [ $RET != 0 ]; then
			log_end_msg $RET
			exit $RET
		fi
		# make sure 127.0.0.1 is a valid source for requests
		ClearAddr=
		if [ -f /proc/net/rpc/auth.unix.ip/channel ]
		then
		    fgrep -qs 127.0.0.1 /proc/net/rpc/auth.unix.ip/content || {
			echo "nfsd 127.0.0.1 2147483647 localhost" >/proc/net/rpc/auth.unix.ip/channel
			ClearAddr=yes
		    }
		fi
		$PREFIX/bin/rpcinfo -u localhost nfs 3 >/dev/null 2>&1 ||
		    RPCMOUNTDOPTS="$RPCMOUNTDOPTS --no-nfs-version 3 -d all"
		[ -z "$ClearAddr" ] || echo "nfsd 127.0.0.1 1" >/proc/net/rpc/auth.unix.ip/channel
	
	        if [ "$NEED_SVCGSSD" = "yes" ]; then
			do_modprobe rpcsec_gss_krb5
			log_progress_msg "svcgssd"
			start-stop-daemon --start --oknodo --quiet \
			    --exec $PREFIX/sbin/rpc.svcgssd -- $RPCSVCGSSDOPTS
			RET=$?
			if [ $RET != 0 ]; then
				log_end_msg $RET
				exit $RET
			fi
		fi
		log_progress_msg "mountd"
		start-stop-daemon --start --oknodo --quiet \
		    --exec $PREFIX/sbin/rpc.mountd -- $RPCMOUNTDOPTS
		RET=$?
		if [ $RET != 0 ]; then
			log_end_msg $RET
			exit $RET
		fi
		log_end_msg 0
	else
		log_warning_msg "Not starting $DESC: no exports."
	fi
	;;
  stop)
	log_daemon_msg "Stopping $DESC"
	log_progress_msg "mountd"
	start-stop-daemon --stop --oknodo --quiet \
	    --name rpc.mountd --user 0
	RET=$?
	if [ $RET != 0 ]; then
		log_end_msg $RET
		exit $RET
	fi
	if [ "$NEED_SVCGSSD" = "yes" ]; then
		log_progress_msg "svcgssd"
		start-stop-daemon --stop --oknodo --quiet \
		    --name rpc.svcgssd --user 0
		RET=$?
		if [ $RET != 0 ]; then
			log_end_msg $RET
			exit $RET
		fi
	fi
	log_progress_msg "nfsd"
	start-stop-daemon --stop --oknodo --quiet \
	    --name nfsd --user 0 --signal 2
	RET=$?
	if [ $RET != 0 ]; then
		log_end_msg $RET
		exit $RET
	fi
	log_end_msg 0
	log_begin_msg "Unexporting directories for $DESC..."
	$PREFIX/sbin/exportfs -au
	RET=$?
	if [ $RET != 0 ]; then
		log_end_msg $RET
		exit $RET
	fi
	log_end_msg 0
	if mountpoint -q $PROCNFSD_MOUNTPOINT
	then
	    $PREFIX/sbin/exportfs -f
	fi
	;;
  status)
	if pidof nfsd >/dev/null
	then
	    echo "nfsd running"
	    exit 0
	else
	    echo "nfsd not running"
	    exit 3
	fi
	;;
  reload | force-reload)
	log_begin_msg "Re-exporting directories for $DESC..."
	$PREFIX/sbin/exportfs -r
	RET=$?
	log_end_msg $RET
	exit $RET
	;;
  restart)
	$0 stop
	sleep 1
	$0 start
	;;
  *)
	log_success_msg "Usage: nfs-kernel-server {start|stop|status|reload|force-reload|restart}"
	exit 1
	;;
esac
exit 0


-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#620059; Package nfs-kernel-server. (Fri, 08 Apr 2011 06:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joerg Dorchain <joerg@dorchain.net>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Fri, 08 Apr 2011 06:48:04 GMT) Full text and rfc822 format available.

Message #53 received at 620059@bugs.debian.org (full text, mbox):

From: Joerg Dorchain <joerg@dorchain.net>
To: 620059@bugs.debian.org
Subject: mountd tries ipv6 only
Date: Fri, 8 Apr 2011 08:33:00 +0200
[Message part 1 (text/plain, inline)]
Hi,

I ran into he problem described here, too.

Some debugging shows that mountd tries to connect via IPv6 only,
despite the content of /etc/netconfig, which marks both ipv4 and
ipv6 as visible.

My portmap is listening on IPv4 localhost only, so all four IPv6
connectin attempts are futile.

Bye,

Joerg

#
# The network configuration file. This file is currently only
# used in
# conjunction with the TI-RPC code in the libtirpc library.
#
# Entries consist of:
#
#       <network_id> <semantics> <flags> <protofamily>
#       <protoname> \
#               <device> <nametoaddr_libs>
#
# The <device> and <nametoaddr_libs> fields are always empty in
# this
# implementation.
#
udp        tpi_clts      v     inet     udp     -       -
tcp        tpi_cots_ord  v     inet     tcp     -       -
udp6       tpi_clts      v     inet6    udp     -       -
tcp6       tpi_cots_ord  v     inet6    tcp     -       -
rawip      tpi_raw       -     inet      -      -       -
local      tpi_cots_ord  -     loopback  -      -       -
unix       tpi_cots_ord  -     loopback  -      -       -


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#620059; Package nfs-kernel-server. (Fri, 08 Apr 2011 08:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Uwe Kleine-König <u.kleine-koenig@pengutronix.de>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Fri, 08 Apr 2011 08:57:22 GMT) Full text and rfc822 format available.

Message #58 received at 620059@bugs.debian.org (full text, mbox):

From: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
To: Joerg Dorchain <joerg@dorchain.net>, 620059@bugs.debian.org
Subject: Re: Bug#620059: mountd tries ipv6 only
Date: Fri, 8 Apr 2011 10:36:00 +0200
Hello,

On Fri, Apr 08, 2011 at 08:33:00AM +0200, Joerg Dorchain wrote:
> Hi,
> 
> I ran into he problem described here, too.
> 
> Some debugging shows that mountd tries to connect via IPv6 only,
> despite the content of /etc/netconfig, which marks both ipv4 and
> ipv6 as visible.
> 
> My portmap is listening on IPv4 localhost only, so all four IPv6
> connectin attempts are futile.
Is this another duplicate of 620088?

Best regards
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-König            |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |




Bug reassigned from package 'nfs-kernel-server' to 'nfs-common'. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Sat, 09 Apr 2011 09:51:40 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions nfs-utils/1:1.2.3-1. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Sat, 09 Apr 2011 09:51:41 GMT) Full text and rfc822 format available.

Forcibly Merged 619877 620059 620088 621471 621707 621723. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Sat, 09 Apr 2011 09:51:42 GMT) Full text and rfc822 format available.

Removed tag(s) sid. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 10 Apr 2011 01:51:14 GMT) Full text and rfc822 format available.

Bug Marked as found in versions nfs-utils/1:1.2.3-2; no longer marked as fixed in versions nfs-utils/1:1.2.3-2 and reopened. Request was from Vadim Solomin <vadic052@gmail.com> to control@bugs.debian.org. (Mon, 11 Apr 2011 13:22:56 GMT) Full text and rfc822 format available.

Disconnected #619877 from all other report(s). Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 11 Apr 2011 13:37:35 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1:1.2.3-2, send any further explanations to Nigel Horne <njh@bandsman.co.uk> Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 11 Apr 2011 13:37:46 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#620059; Package nfs-common. (Mon, 11 Apr 2011 13:51:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to andrew_perrin@unc.edu:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 11 Apr 2011 13:52:09 GMT) Full text and rfc822 format available.

Message #77 received at 620059@bugs.debian.org (full text, mbox):

From: Andrew Perrin <andrew_perrin@unc.edu>
To: 620059@bugs.debian.org
Subject: How do I replace portmap with rpcbind?
Date: Mon, 11 Apr 2011 09:47:13 -0400
Having the same problem here post-upgrade. How do I go about replacing
portmap with rpcbind?

Thx.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#620059; Package nfs-common. (Mon, 11 Apr 2011 14:33:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew J Perrin <andrew_perrin@unc.edu>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 11 Apr 2011 14:33:28 GMT) Full text and rfc822 format available.

Message #82 received at 620059@bugs.debian.org (full text, mbox):

From: Andrew J Perrin <andrew_perrin@unc.edu>
To: 620059@bugs.debian.org
Subject: Re: Bug#620059: Info received (How do I replace portmap with rpcbind?)
Date: Mon, 11 Apr 2011 09:53:41 -0400
Never mind - the answer is:

apt-get remove portmap



On Mon, 2011-04-11 at 13:52 +0000, Debian Bug Tracking System wrote:
> Thank you for the additional information you have supplied regarding
> this Bug report.
> 
> This is an automatically generated reply to let you know your message
> has been received.
> 
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
> 
> Your message has been sent to the package maintainer(s):
>  Debian kernel team <debian-kernel@lists.debian.org>
> 
> If you wish to submit further information on this problem, please
> send it to 620059@bugs.debian.org.
> 
> Please do not send mail to owner@bugs.debian.org unless you wish
> to report a problem with the Bug-tracking system.
> 

-- 
--

----------------------------------------------------------------------
Andrew J Perrin - andrew_perrin@unc.edu - http://perrin.socsci.unc.edu
        Associate Professor and Associate Chair of Sociology
University of North Carolina - CB#3210, Chapel Hill, NC 27599-3210 USA






Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#620059; Package nfs-common. (Mon, 11 Apr 2011 20:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Han Shi Ming <han.shi.ming@hkicpdr.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. (Mon, 11 Apr 2011 20:12:03 GMT) Full text and rfc822 format available.

Message #87 received at 620059@bugs.debian.org (full text, mbox):

From: Han Shi Ming <han.shi.ming@hkicpdr.org>
To: 620059@bugs.debian.org
Subject: #620059: nfs-kernel: Starting NFS kernel daemon: nfsd mountd failed!
Date: Tue, 12 Apr 2011 03:37:33 +0800
 Hello,

I am referring to the latest version of package nfs-kernel-server 
(nfs-kernel-server_1%3a1.2.3-2_amd64.deb):
This version of the package will install rpcbind (and remove portmap):

The rpc.mountd start up problem is only partially resolved. If you start 
the mountd with --port option (via /etc/default/nfs-kernel-server), you 
still get this error message:
"rpc.mountd: svc_tli_create: could not bind to requested address"

However, the following workaround can be applied (in 
/etc/default/nfs-kernel-server):
RPCMOUNTDOPTS="--manage-gids --no-nfs-version 2 --port 32771"

In my case, the mountd works fine with this.

Rgds

Han Shi Ming






Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 May 2011 07:35:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:36:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.